use super::{answer::ANSWER_COMMAND, enable::ENABLE_COMMAND};
use serenity::all::standard::macros::group;

// Include the meme commands
// - enable/disable the meme answer
// - trigger a one time meme answer (default command)
// - make a request to add a new meme
// - list meme categories
#[group]
#[prefixes("meme", "m")]
#[summary = "Meme related commands"]
#[description = "Commands to handle the meme related stuffs, it allow you to enable/disable the meme answer or to trigger a one time meme answer."]
#[commands(enable, answer)]
#[default_command(answer)]
pub struct Meme;
